systemtap-client_4.1-9_amd64.deb


Advertisement

Description

systemtap-client - instrumentation system for Linux (client for compile server)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename systemtap-client_4.1-9_amd64.deb
Package name systemtap-client
Package version 4.1
Package release 9
Package architecture amd64
Package type deb
Category devel
Homepage http://sourceware.org/systemtap/
License -
Maintainer Ritesh Raj Sarraf <rrs@debian.org>
Download size 19.77 KB
Installed size 37.00 KB

Alternatives

Package Version Architecture Repository
systemtap-client_4.1-9_i386.deb 4.1 i386 Debian Main
systemtap-client - - -

Requires

Name Value
avahi-utils -
dnsutils -
systemtap-runtime = 4.1-9
unzip -
zip -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package systemtap-client_4.1-9_amd64.deb
Source Package systemtap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install systemtap-client deb package:
    # sudo apt-get install systemtap-client

Files

Path
/usr/lib/systemtap/stap-env
/usr/share/doc/systemtap-client/NEWS.Debian.gz
/usr/share/doc/systemtap-client/changelog.Debian.gz
/usr/share/doc/systemtap-client/copyright

Changelog

2019-08-20 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-9) unstable; urgency=medium
* tests: in case multiple linux-headers-amd64 versions are available, use the
one which is installed.
2019-08-17 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-8) unstable; urgency=medium
* tests: do not fail if more than one linux-headers-amd64 version is
available. (Closes: #934710)
2019-08-04 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-7) unstable; urgency=medium
* Do not override dh_install either.
* Add lintian override: shell-script-fails-syntax-check
usr/share/systemtap/examples/stapgames/2048.stp.
2019-08-04 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-6) unstable; urgency=medium
* Do not override dh_auto_build/dh_auto_install when building
arch-independent packages. This should fix systemtap-common and
systemtap-doc, now built by the autobuilders.
* Ship examples with systemtap-doc. (Closes: #880420)
2019-08-02 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-5) unstable; urgency=medium
* Source-only upload.
2019-07-28 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-4) unstable; urgency=medium
* Add debian/tests/build-hello to check that compiling a hello world probe
(pass 4) works. The test targets the kernel version installed by
linux-headers-amd64.
* Add debian/tests/list-coreutils-probe-points to check that stap -L works
as expected.
* Mark debian/tests/stap-prep as 'isolation-machine', after having done so
for the upstream testsuite in 4.1-3. The kernel running on ci.debian.net
is an old 4.9.110, and stap-prep has no chance to do the right thing with
such kernel in testing/unstable. More in general, it is unlikely that in a
test environment the running kernel matches whatever is installed by
linux-headers-`uname -r`.
2019-07-27 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-3) unstable; urgency=medium
* Build with python3 instead of python2 for the python2-rm transition:
https://release.debian.org/transitions/html/python2-rm.html
* Pass -a to dh_listpackages instead of -s, which is deprecated.
* Add 'isolation-machine' to the list of autopkgtest restrictions for
upstream testsuite. systemtap inserts kernel modules, and that cannot be
done in LXC containers.
* Use stapbpf in stap-prep testsuite so that it can be executed in LXC
containers.
* Set debhelper compatibility level to 12.
2019-07-17 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-2) unstable; urgency=medium
* Patch stap-prep to check for the right kernel debug symbols package (-dbg
rather than -dbgsym)
* Run basic stap-prep testing and upstream test suite via autopkgtest
(Closes: #526957)
* Use the Salsa CI Pipeline (see debian/salsa-ci.yml)
* Ship debian/systemtap-common.emacsen-compat (Closes: #932440)
2019-07-13 - Emanuele Rocca <ema@debian.org>
systemtap (4.1-1) unstable; urgency=medium
* New upstream version
* Add debian/patches/syscalls.xmlpart-tbody.patch to fix documentation
building with xmlto. The patch can likely be removed when packaging
systemtap 4.2
* Remove old patches
* Set Standards Version to 4.4.0
2019-02-23 - Emanuele Rocca <ema@debian.org>
systemtap (4.0-1) unstable; urgency=medium
[Emanuele Rocca]
* New upstream version (Closes: #923016)
* Add myself to uploaders
* Update upstream signing key
* Do not pass --parallel to dh, default since debhelper 10
* Do not build depend on dh-autoreconf, debhelper enables it by default
since version 10
* Bump Standards Version
[Ondřej Nový]
* d/changelog: Remove trailing whitespaces
* d/control: Remove trailing whitespaces
* d/control: Fix wrong Vcs-*

See Also

Package Description
systemtap-common_4.1-9_all.deb instrumentation system for Linux (common component)
systemtap-doc_4.1-9_all.deb documentation and examples for SystemTap
systemtap-runtime_4.1-9_amd64.deb instrumentation system for Linux (runtime component)
systemtap-sdt-dev_4.1-9_amd64.deb statically defined probes development files
systemtap-server_4.1-9_amd64.deb instrumentation system for Linux (compile server)
systemtap_4.1-9_amd64.deb instrumentation system for Linux
systraq_20160803-3_all.deb monitor your system and warn when system files change
systray-mdstat_1.1.0-1_all.deb Notifies about Linux Software RAID changes in system tray
systune_0.5.7_all.deb kernel tuning through the /proc file system
sysuser-helper_1.3.3_all.deb dh-sysuser implementation detail
sysv-rc-conf_0.99-7_all.deb SysV init runlevel configuration tool for the terminal
sysv-rc_2.96-1_all.deb System-V-like runlevel change mechanism
sysvbanner_1.0-16_amd64.deb System-V banner clone
sysvinit-core_2.96-1_amd64.deb System-V-like init utilities
sysvinit-utils_2.96-1_amd64.deb System-V-like utilities
Advertisement
Advertisement